{% extends 'printcenter/base.html' %}
{% load crispy_forms_tags %}

{% block content %}
    <a href="{% url 'print_queue' %}" class="btn btn-link float-left text-dark">
        <i class="fa fa-arrow-left mr-2"></i>Print Queue
    </a>
    <div class="container">
        <h1 class="m-3 text-center">View / Edit Print Request # {{ print_request.id }}</h1>
        <div class="list-group">
            <table class="table">
                <tbody>
                <tr>
                    <th scope="col">Status</th>
                    <th scope="col">{{ print_request.status_label }}</th>
                </tr>
                <tr>
                    <td>User</td>
                    <td>{{ print_request.requestor.first_name }} {{ print_request.requestor.last_name }}</td>
                </tr>
                <tr>
                    <td>Email</td>
                    <td>{{ print_request.requestor.email }}</td>
                </tr>
                <tr>
                    <td>Submitted</td>
                    <td>{{ print_request.submitted }}</td>
                </tr>
                </tbody>
            </table>
            <div class="progress">
                <div class="progress-bar bg-info" role="progressbar"
                     style="width:{{ progress_bar }}%">{{ print_request.status_label }}</div>
            </div>
        </div>
        <p></p>
        <div class="container">
            <form method="POST" enctype="multipart/form-data">
                {% csrf_token %}
                {{ form | crispy }}
                <button href="#" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>
{% endblock %}
